project(WidgetFrame)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

file(GLOB _src *.h *.cpp)

qt_add_library(${PROJECT_NAME} STATIC "")

target_sources(${PROJECT_NAME} 
PRIVATE
	windowbar.cpp
	windowbutton.cpp
PUBLIC
        windowbar.h
	windowbar_p.h
	windowbutton.h
	windowbutton_p.h
)

qt6_add_resources(${PROJECT_NAME} "resources"
    PREFIX "/"
    FILES "../resources/shared.qrc"
)

target_link_libraries(${PROJECT_NAME} PRIVATE
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
)

set_target_properties(${PROJECT_NAME} PROPERTIES
    CXX_STANDARD 17
    CXX_STANDARD_REQUIRED TRUE
)

target_include_directories(${PROJECT_NAME} PUBLIC . ..)
